> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai.md).

# 应用内购买

提供跳转到应用内购订单页、商品/订单查询、商品发放完成、订阅状态查询功能。

> 参考： `completeProductGrant` / `getSubscriptionInfo`保留 native 签名原样 `{ params: { orderId } }` 保持嵌套结构。

### API 列表

| API                                                                                                                                                 | 说明            |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| [`IAP.createOneTimePurchaseOrder`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.createonetimepurchaseorder.md)           | 跳转到单笔应用内购订单页  |
| [`IAP.createSubscriptionPurchaseOrder`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.createsubscriptionpurchaseorder.md) | 跳转到订阅应用内购订单页  |
| [`IAP.getProductItemList`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.getproductitemlist.md)                           | 获取可购买商品列表     |
| [`IAP.getPendingOrders`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.getpendingorders.md)                               | 获取待处理订单列表     |
| [`IAP.getCompletedOrRefundedOrders`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.getcompletedorrefundedorders.md)       | 获取已完成·已退款订单列表 |
| [`IAP.completeProductGrant`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.completeproductgrant.md)                       | 通知应用商品发放已完成   |
| [`IAP.getSubscriptionInfo`](/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai/iap.getsubscriptioninfo.md)                         | 获取订阅订单的当前状态信息 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/ying-yong-nei-gou-mai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
